Bug 116364 - Hang under specific circumstances ( steps in comment 9 )
Summary: Hang under specific circumstances ( steps in comment 9 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-12 15:23 UTC by Telesto
Modified: 2018-03-28 14:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot VerySleepy (337.54 KB, image/jpeg)
2018-03-12 15:24 UTC, Telesto
Details
Capture verysleepy without symbols (32.78 KB, application/zip)
2018-03-12 15:28 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-12 15:23:57 UTC
Description:
Hang under specific circumstances

Steps to Reproduce:
1. Launch Writer
2. From Writer -> File New -> Presentation
3. Ignore the wizard (cancel)
4. View -> Master Handout
5. Switch back to Writer and type something
7. Switch back to Impress
8. Click Print Icon
9. Select Print Handouts
10. Press Cancel
11. View -> Normal view

Repro only on a single system (with or without safe mode)



Actual Results:  
Hang with CPU usage

Expected Results:
No hang


Reproducible: Sometimes


User Profile Reset: Yes



Additional Info:
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 5a341e126709e3c9ef01680e116d5ce0d55d9f8c
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-10_23:12:15
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-03-12 15:24:48 UTC
Created attachment 140580 [details]
Screenshot VerySleepy
Comment 2 Telesto 2018-03-12 15:28:03 UTC
Created attachment 140581 [details]
Capture verysleepy without symbols
Comment 3 Telesto 2018-03-12 15:34:05 UTC
Sidenote: the papersize is also off.. It shows B5 JIS instead of A4
Comment 4 Buovjaga 2018-03-13 19:30:28 UTC
No hang.

Version: 6.1.0.0.alpha0+
Build ID: 5b87abe06da35ca3a11628674af23460349b439a
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-12_23:45:38
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c409fd2e8829b00f027070f34a5b743019800c6e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 13th 2018
Comment 5 Jacques Guilleron 2018-03-15 10:49:21 UTC
Hi Telesto,

I don't reproduce either with
LO  6.1.0.0.alpha0+ Build ID: 0d1479cbd442c3ec3bdd20333c341ea24dcca21e
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-10_01:47:26
Locale: fr-FR (fr_FR); Calc: CL
Comment 6 Telesto 2018-03-15 13:29:26 UTC
A new set of steps to reproduce:
1. Launch Impress
2. Ignore the Wizard
3. Select Master Slides Deck in the sidebar
4. Switch View: View -> Master Handout
5. Select the Properties deck -> Hang
Comment 7 Buovjaga 2018-03-15 16:15:26 UTC
(In reply to Telesto from comment #6)
> A new set of steps to reproduce:
> 1. Launch Impress
> 2. Ignore the Wizard
> 3. Select Master Slides Deck in the sidebar
> 4. Switch View: View -> Master Handout
> 5. Select the Properties deck -> Hang

This, I repro.
Regression from 6.

Version: 6.1.0.0.alpha0+
Build ID: 5b87abe06da35ca3a11628674af23460349b439a
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-12_23:45:38
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 28e8c3e28bf4944ecad23961602b9b1f72613d39
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 15th 2018
Comment 8 Xisco Faulí 2018-03-16 10:35:28 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2018-03-16 11:08:42 UTC
Actually, I've found a reliable way of reproducing it...

1. Launch Impress
2. Ignore the Wizard
3. Select Master Slides Deck in the sidebar
4. Switch View: View -> Master Handout
5. Click on the Date Area on the document
6. Select the Properties deck in the sidebar
7. Click somewhere else on the document...
Comment 10 Xisco Faulí 2018-03-16 11:17:54 UTC
OMG, it points back to me :D

Regression introduced by:

author	Xisco Fauli <anistenis@gmail.com>	2017-11-16 00:47:09 +0100
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-11-17 15:01:54 +0100
commit	605b01dc591eaa72788be255baf1f9b9dde76414 (patch)
tree	146d1aac2dbe932f16ecaa1d3fce3f5c9e452c8c
parent	328cdfd4a75f5e29c3a1b3ba4ee0ed9475603442 (diff)
tdf#113660: show Master Slide label in handout view

Bisected with: bibisect-linux64-6.0

Adding Cc: to Xisco Fauli
Comment 11 Xisco Faulí 2018-03-16 11:23:09 UTC
Previous commit reverted in https://gerrit.libreoffice.org/#/c/51403/
Comment 12 Commit Notification 2018-03-19 12:10:53 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b120932c77332f95ae40d7bd96b972ce87e7693a

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Buovjaga 2018-03-19 15:59:25 UTC
No longer hangs.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c70471a0f984f1c5be7cb5eeaf88e71b17c903ee
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 19th 2018
Comment 14 Commit Notification 2018-03-19 16:10:39 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=855ae519db73b81a64d991b99c8993e6a192df08&h=libreoffice-6-0

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-03-23 21:15:11 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08ed147729b4b5a4f884b300b0d2e99b6267936a&h=libreoffice-6-0-3

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Xisco Faulí 2018-03-28 14:54:22 UTC
(In reply to Buovjaga from comment #13)
> No longer hangs.
> 
> Arch Linux 64-bit
> Version: 6.1.0.0.alpha0+
> Build ID: c70471a0f984f1c5be7cb5eeaf88e71b17c903ee
> CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
> Locale: fi-FI (fi_FI.UTF-8); Calc: group
> Built on March 19th 2018

Setting to Verified